//
//  AAIGlobalIQAResult.h
//  AAIGlobalIQASDK
//
//  Created by advance on 2022/1/19.
//

#import <UIKit/UIKit.h>
#import <AAIGlobalIQASDK/AAIIQAConstant.h>

NS_ASSUME_NONNULL_BEGIN

@interface AAIGlobalIQAResult : NSObject

@property(nonatomic, readonly) BOOL success;
@property(nonatomic, readonly) BOOL pay;
@property(nonatomic, readonly, nullable) NSString *transactionId;

@property(nonatomic, readonly) AAIIQAErrorCode errorCodeEnumValue;

/**
 *
 * Error code list:
 *
 * @code
 * CAMERA_OPEN_FAILED
 * USER_GIVE_UP
 * DEVICE_NOT_SUPPORT
 * CAMERA_PERMISSION_DENIED
 * MODEL_ERROR
 * NETWORK_REQUEST_FAILED
 * NO_CARD
 * TOO_SMALL_CARD
 * EDGE_CROSS
 * CARD_POOR_QUALITY
 * SCAN_TIMEOUT
 * ...(other codes)
 * @endcode
 *
 * @note The code "SCAN_TIMEOUT" appears only when you set the `operatingMode` of `AAIGlobalIQAConfig` to "AAIIQAOperatingModeScanning".
 */
@property(nonatomic, readonly, nullable) NSString *errorCode;
@property(nonatomic, readonly, nullable) NSString *errorMsg;

// when success is YES
@property(nonatomic, readonly, nullable) UIImage *cardImg;
@property(nonatomic, readonly, nullable) NSString *IDVID;
@property(nonatomic, readonly, nullable) NSDictionary *idForgeryResult;
@property(nonatomic, readonly, nullable) NSDictionary *ocrResult;

/**
 * This field is used to indicate which mode the image is from, and it has two values: "takePhoto" and "scan".
 * "takePhoto" mean `cardImg` is from photo mode, "scan" mean `cardImg` is from scan mode.
 */
@property(nonatomic, readonly, nullable) NSString *pictureType;

@end

NS_ASSUME_NONNULL_END
