//
//  AAIIQADetectionDelegate.h
//  AAIGlobalIQASDK
//
//  Created by advance on 2022/9/19.
//

#import <Foundation/Foundation.h>
#import "AAIIQAConstant.h"

NS_ASSUME_NONNULL_BEGIN

@protocol AAIIQADetectionDelegate<NSObject>

@optional

- (void)iqaOnDetectionStart;

- (void)iqaOnDetectionWarn:(AAIIQAWarnCode)warnCode;

- (void)iqaOnDetectionRemainTimeChanged:(NSInteger)remainTime totalTime:(NSInteger)totalTime contentView:(UIView *)contentView;

/// Tell the delegate detection success
/// @param rawImage Reserved field, currently this value is always nil.
- (void)iqaOnDetectionSucceed:(UIImage * _Nullable)rawImage;

@end

@protocol AAIIQATipViewDataSource<NSObject>

@required

- (UIView<AAIIQADetectionDelegate> * _Nullable)iqaCreateTipView:(BOOL)isPortratOrientation;

@end

@protocol AAIIQATakePhotoTipViewDataSource<NSObject>

@required

- (UIView * _Nullable)iqaCreateTakePhotoTipView:(BOOL)isPortratOrientation;

@end

NS_ASSUME_NONNULL_END


