//
//  AAIIQAPreviewImgController.h
//  AAIGlobalIQASDK
//
//  Created by advance on 2022/6/30.
//

#import <UIKit/UIKit.h>
#import <AAIGlobalIQASDK/AAIIQABaseViewController.h>
#import <AAIGlobalIQASDK/AAIIQAOverlayView.h>
#import <AAIGlobalIQASDK/AAIIQANavBarView.h>

NS_ASSUME_NONNULL_BEGIN

/// A page to preview the photos taken, this page will only appear in photo mode.
///
/// You can customize the UI by inheriting this class, then register your custom class to the sdk.
/// e.g.
/// @code
/// // Register your custom class to the SDK before call `[AAIGlobalIQASDK startWithRootVC:]`.
/// [config registerClass:[CustomPreviewImgController class] forModule:AAIIQAModuleTypePreviewImgController];
/// @endcode
///
@interface AAIIQAPreviewImgController : AAIIQABaseViewController

@property(nonatomic, readonly, nullable) AAIIQANavBarView *navBarView;
@property(nonatomic, readonly, nullable) UIImageView *previewImgView;
@property(nonatomic, readonly, nullable) AAIIQAOverlayView *overlayView;

/// The view "Please ensure that all data on your documents is visible and readable."
/// If the default UI style does not meet your needs, you can hide it and then add your own tipView in a subclass of "AAIIQAPreviewImgController"
@property(nonatomic, readonly, nullable) UIView *tipView;
@property(nonatomic, readonly, nullable) UIView *retakeToolbar;

@property(nonatomic, nullable) UIImage *previewImage;

@property(nonatomic, copy, nullable) void (^tapNavBackBtnBlk)(AAIIQAPreviewImgController *rawVC);
@property(nonatomic, copy, nullable) void (^tapContinueBtnBlk)(AAIIQAPreviewImgController *rawVC);
@property(nonatomic, copy, nullable) void (^tapRetakeBtnBlk)(AAIIQAPreviewImgController *rawVC);

@end

NS_ASSUME_NONNULL_END
