//
//  AAICustomOverlayView1.m
//  AAIGlobalIQASDKDemo
//
//  Created by advance on 2022/7/4.
//

#import "AAICustomOverlayView1.h"

@implementation AAICustomOverlayView1

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // You can add your custom subviews. For example, add an image view.
        // Or you can override the `drawRect:` method to draw your custom graph.
        // Because the super class AAIIQAOverlayView draw the viewfinder in `drawRect:` method,
        // if you don't want the default viewfinder style, you should always override the `drawRect:` method.
    }
    return self;
}

- (void)drawRect:(CGRect)rect
{
    // Draw your custom viewfinder
    CGContextRef context = UIGraphicsGetCurrentContext();
    
    CGFloat lineWidth = 1.0f;

    CGContextSaveGState(context);
    CGContextSetFillColorWithColor(context, self.maskColor.CGColor);
    UIBezierPath *maskPath = [UIBezierPath bezierPathWithRect:rect];
    CGRect innerRect = rect;
    UIBezierPath *innerRectPath = [UIBezierPath bezierPathWithRoundedRect:innerRect cornerRadius:8];
    [maskPath appendPath:innerRectPath];
    maskPath.usesEvenOddFillRule = YES;
    CGContextAddPath(context, maskPath.CGPath);
    CGContextEOFillPath(context);
    CGContextRestoreGState(context);
    
    CGContextSetLineWidth(context, lineWidth);
    CGContextSetLineCap(context, kCGLineCapSquare);
    
    CGContextAddPath(context, innerRectPath.CGPath);
    CGContextSetStrokeColorWithColor(context, UIColor.redColor.CGColor);
    
    CGContextStrokePath(context);
}


@end
