//
//  AAICustomDetectionTimeoutAlertView2.m
//  AAIGlobalIQASDKDemo
//
//  Created by advance on 2022/9/21.
//

#import "AAICustomDetectionTimeoutAlertView2.h"
@import AAIGlobalIQASDK;

@implementation AAICustomDetectionTimeoutAlertView2

- (UIView *)createContentView
{
    UIView *sv = [[UIView alloc] init];
    sv.backgroundColor = UIColor.whiteColor;
    sv.layer.cornerRadius = 6;
    sv.layer.masksToBounds = YES;
    
    // You can adjust the font, textColor to meet your needs.
    UIImageView *imgView = [[UIImageView alloc] initWithImage:[AAIIQACommUtil imgWithName:@"advance_iqa_tip_capture"]];
    [sv addSubview:imgView];
    
    UILabel *titleLabel = [[UILabel alloc] init];
    titleLabel.font = [AAIIQACommUtil fontWithSize:14 isBold:YES];
    titleLabel.textColor = [AAIIQACommUtil colorWithHexRGB:0x333333 alpha:1];
    titleLabel.textAlignment = NSTextAlignmentCenter;
    titleLabel.text = @"Time out!";
    [sv addSubview:titleLabel];
    
    UILabel *descLabel = [[UILabel alloc] init];
    descLabel.font = [AAIIQACommUtil fontWithSize:13 isBold:NO];
    descLabel.textColor = [AAIIQACommUtil colorWithHexRGB:0x333333 alpha:1];
    descLabel.textAlignment = NSTextAlignmentCenter;
    descLabel.text = @"Let's try taking photo manually.";
    [sv addSubview:descLabel];
    
    imgView.translatesAutoresizingMaskIntoConstraints = NO;
    titleLabel.translatesAutoresizingMaskIntoConstraints = NO;
    descLabel.translatesAutoresizingMaskIntoConstraints = NO;
    NSArray<NSLayoutConstraint *> *cons = @[
        [imgView.topAnchor constraintEqualToAnchor:sv.topAnchor constant:20],
        [imgView.widthAnchor constraintEqualToConstant:40],
        [imgView.heightAnchor constraintEqualToConstant:40],
        [imgView.centerXAnchor constraintEqualToAnchor:sv.centerXAnchor],
        
        [titleLabel.topAnchor constraintEqualToAnchor:imgView.bottomAnchor constant:20],
        [titleLabel.leftAnchor constraintEqualToAnchor:sv.leftAnchor constant:20],
        [titleLabel.rightAnchor constraintEqualToAnchor:sv.rightAnchor constant:-20],
        
        [descLabel.topAnchor constraintEqualToAnchor:titleLabel.bottomAnchor constant:20],
        [descLabel.leftAnchor constraintEqualToAnchor:sv.leftAnchor constant:20],
        [descLabel.rightAnchor constraintEqualToAnchor:sv.rightAnchor constant:-20],
        
        [sv.bottomAnchor constraintEqualToAnchor:descLabel.bottomAnchor constant:20]
    ];
    [NSLayoutConstraint activateConstraints:cons];
    
    return sv;
}

- (void)showWithAnimation
{
    UIView *contentView = [self createContentView];
    contentView.translatesAutoresizingMaskIntoConstraints = NO;
    [self addSubview:contentView];
    NSArray<NSLayoutConstraint *> *cons = @[
        [contentView.centerXAnchor constraintEqualToAnchor:self.centerXAnchor],
        [contentView.widthAnchor constraintLessThanOrEqualToAnchor:self.widthAnchor constant:-40],
        [contentView.centerYAnchor constraintEqualToAnchor:self.centerYAnchor],
    ];
    [NSLayoutConstraint activateConstraints:cons];
    self.backgroundColor = [[UIColor blackColor] colorWithAlphaComponent:0];
    contentView.alpha = 0;
    [UIView animateWithDuration:0.3 animations:^{
        self.backgroundColor = [[UIColor blackColor] colorWithAlphaComponent:0.4];
        contentView.alpha = 1;
    }];
}



@end
