//
//  AAICustomOverlayView2.m
//  AAIGlobalIQASDKDemo
//
//  Created by advance on 2022/7/4.
//

#import "AAICustomOverlayView2.h"

@implementation AAICustomOverlayView2

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // You can add your custom subviews. For example, add an image view.
        // Or you can override the `drawRect:` method to draw your custom graph.
        // Because the super class AAIIQAOverlayView draw the viewfinder in `drawRect:` method,
        // if you don't want the default viewfinder style, you should always override the `drawRect:` method.
    }
    return self;
}

- (void)drawRect:(CGRect)rect
{
    // Draw your custom viewfinder
    CGContextRef context = UIGraphicsGetCurrentContext();
    
    // You can adjust the borderRadius, lineWidth, borderColor to meet your needs.
    CGFloat borderRadius = 20;
    CGFloat lineWidth = 6;
    UIColor *borderColor = [AAIGlobalIQASDK sdkConfig].uiConfig.viewfinderColor;
    
    CGFloat halfLineWidth = lineWidth/2;
    CGContextSaveGState(context);
    CGContextSetFillColorWithColor(context, self.maskColor.CGColor);
    UIBezierPath *maskPath = [UIBezierPath bezierPathWithRect:rect];
    CGRect innerRect = CGRectInset(rect, halfLineWidth, halfLineWidth);
    UIBezierPath *innerRectPath = [UIBezierPath bezierPathWithRoundedRect:innerRect cornerRadius:borderRadius];
    [maskPath appendPath:innerRectPath];
    maskPath.usesEvenOddFillRule = YES;
    CGContextAddPath(context, maskPath.CGPath);
    CGContextEOFillPath(context);
    CGContextRestoreGState(context);
    
    CGContextBeginPath(context);
    CGContextSetLineWidth(context, lineWidth);
    
    UIBezierPath *borderPath = [UIBezierPath bezierPathWithRoundedRect:innerRect cornerRadius:borderRadius];
    CGContextAddPath(context, borderPath.CGPath);
    CGContextSetStrokeColorWithColor(context, borderColor.CGColor);
    CGContextStrokePath(context);
}

@end
