//
//  AAICustomScanController2.m
//  AAIGlobalIQASDKDemo
//
//  Created by advance on 2022/7/4.
//

#import "AAICustomScanController2.h"

@interface AAICustomScanController2 ()

@end

@implementation AAICustomScanController2

- (void)viewDidLoad
{
    [super viewDidLoad];
        
    // Add custom topDescView
    UIView *assistView = [[UIView alloc] init];
    assistView.translatesAutoresizingMaskIntoConstraints = NO;
    [self.view addSubview:assistView];
    
    // You can ajust the attribute string to meet your needs
    NSString *boldStr = @"the front side your KTP";
    NSString *descStr = @"Position the {} in the center with the edges aligned.";
    descStr = [descStr stringByReplacingOccurrencesOfString:@"{}" withString:boldStr];
    NSRange boldStrRange = [descStr rangeOfString:boldStr];
    
    // You can ajust the textColor and font to meet your needs
    UIFont *customFont = [AAIIQACommUtil fontWithSize:15 isBold:NO];
    UIColor *textColor = [UIColor blackColor];
    NSDictionary *normalAttr = @{NSFontAttributeName: customFont, NSForegroundColorAttributeName: textColor};
    NSDictionary *boldAttr = @{NSFontAttributeName: [UIFont boldSystemFontOfSize:15], NSForegroundColorAttributeName: textColor};
    NSMutableAttributedString *attrStr = [[NSMutableAttributedString alloc] initWithString:descStr attributes:normalAttr];
    [attrStr setAttributes:boldAttr range:boldStrRange];
    
    UILabel *descLabel = [[UILabel alloc] init];
    descLabel.attributedText = attrStr;
    descLabel.numberOfLines = 0;
    descLabel.textAlignment = NSTextAlignmentCenter;
    [self.view addSubview:descLabel];
    descLabel.translatesAutoresizingMaskIntoConstraints = NO;
    
    NSLayoutConstraint *bottomCons = [assistView.bottomAnchor constraintEqualToAnchor:self.cameraView.topAnchor];
    [bottomCons setPriority:UILayoutPriorityDefaultLow];
    NSArray *constrs = @[
        [assistView.topAnchor constraintEqualToAnchor:self.navBarView.bottomAnchor],
        [assistView.leftAnchor constraintEqualToAnchor:self.cameraView.leftAnchor],
        [assistView.rightAnchor constraintEqualToAnchor:self.cameraView.rightAnchor],
        bottomCons,
        
        [descLabel.leftAnchor constraintEqualToAnchor:assistView.leftAnchor],
        [descLabel.rightAnchor constraintEqualToAnchor:assistView.rightAnchor],
        [descLabel.centerYAnchor constraintEqualToAnchor:assistView.centerYAnchor]
    ];

    [NSLayoutConstraint activateConstraints:constrs];
    
}

@end
