//
//  AAICustomUIDemo3ViewController.m
//  AAIGlobalIQASDKDemo
//
//  Created by advance on 2023/5/22.
//

#import "AAICustomUIDemo3ViewController.h"
#import "AAICustomTipView3.h"

@interface AAICustomUIDemo3ViewController ()<AAIGlobalIQADelegate, AAIIQATipViewDataSource>

@end

@implementation AAICustomUIDemo3ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
}

- (void)tapSDKBtnAction
{
    AAIIQACardType cardType = [_cardTypeList[_currCardTypeIdx] integerValue];
    AAIIQACardSide cardSide = [_cardSideList[_currCardSideIdx] integerValue];
    // 1. Create AAIGlobalIQAConfig
    AAIGlobalIQAConfig *config = [AAIGlobalIQAConfig initWithRegion:_reginList[_currReginIdx] cardType:cardType cardSide:cardSide];
    config.delegate = self;
    config.callbackAfterPageDismissed = YES;
    
    // Configure SDK operation mode
    AAIIQAOperatingMode opMode = [_opModeList[_currOpModeIdx] integerValue];
    config.operatingMode = opMode;
    
     // Configure SDK UI
//    config.uiConfig.flipCameraBtnVisible = NO;
//    config.uiConfig.lightBtnVisible = NO;
//    config.uiConfig.timerLabelVisible = NO;
//    config.uiConfig.navBarTitleTextColor = UIColor.redColor;
//    config.uiConfig.navBarBackgroundColor = UIColor.whiteColor;
//    config.uiConfig.statusBarStyle = UIStatusBarStyleDefault;
//    config.uiConfig.tipIconVisible = NO;
//    config.uiConfig.pageBackgroundColor = UIColor.redColor;
//    config.uiConfig.viewfinderColor = UIColor.greenColor;
//    config.uiConfig.primaryTextColor = UIColor.yellowColor;
//    config.uiConfig.toolButtonThemeColor = UIColor.blueColor;
//    config.uiConfig.takePhotoTipBackgroundColor = UIColor.greenColor;
//    config.uiConfig.orientation = AAIIQAOrientationLandscape;
//    config.uiConfig.takePhotoTipTextColor = UIColor.whiteColor;
//    config.uiConfig.takePhotoTipBackgroundColor = UIColor.blueColor;
//    config.uiConfig.previewPhotoTipBackgroundColor = UIColor.blueColor;
//    config.uiConfig.previewPhotoTipTextColor = UIColor.whiteColor;
    
    config.uiConfig.cameraViewMarginLRInPortraitMode = @(12);
    
//    config.uiConfig.timerLabelVisible = NO;
    config.detectionTimeoutInterval = 1500;
    
//    config.takePhotoAlertViewTimeoutInterval = 0;
    
//    config.returnEmptyOfOCR = NO;
    
    // Specify SDK language
//    config.languageLprojName = @"id";
    
    // Specify the tipViewDataSource to provide your custom tipView(in scan mode).
    config.tipViewDataSource = self;
    
    /* imageName list:
     advance_iqa_scan: An image to show the scan animation.
     advance_iqa_tip_capture: The icon in the countdown pop-up view after the scan times out.
     iqa_back: Icon of navigation bar back button.
     iqa_land_confirm: Confirm button icon in landscape take photo mode.
     iqa_land_retake: Retake button icon in landscape take photo mode.
     iqa_light_off: Icon of flashlight off button.
     iqa_light_on: Icon of flashlight on button.
     iqa_scan_processing: The icon displayed at the bottom of the vertical screen (local string key is: "hold_phone").
     iqa_scan_successfully: The icon displayed at the bottom of the vertical screen (local string key is: "iqa_scan_successfully").
     iqa_scan_warning: The icon displayed at the bottom of the vertical screen (local string key is: "iqa_card_poor_quality").
     iqa_take_photo_tip: The tip icon displayed at the bottom of the viewfinder view (local string key is: "iqa_take_photo_tips").
     iqa_take_photo: Icon of take photo button.
     iqa_transform_camera: Icon of switch camera button.
    */
    /*
    // You can implement this block to customize the images used in the SDK.
    config.uiConfig.loadImage = ^UIImage * _Nonnull(NSString * _Nonnull imgName, UIImage * _Nonnull img) {
        if ([imgName isEqualToString:@"iqa_scan_successfully"]) {
            return [UIImage imageNamed:@"ok"];
        }
        return img;
    };
    */
    
    /*
    // You can implement this block to customize the localized strings used in the SDK.
    // For all available keys, see "AAIGlobalIQASDK.framework/AAIIQALanguageString.bundle/en.lproj/Localizable.strings"
    config.uiConfig.loadLocalizedString = ^NSString * _Nonnull(NSString * _Nonnull key, NSString * _Nonnull value, NSString * _Nonnull language) {
        if ([key isEqualToString:@"iqa_top_desc"]) {
            if ([language isEqual:@"en"]) {
                return @"My test string";
            }
        }

        return value;
    };
     */
    
    // 2. Init SDK
    [AAIGlobalIQASDK initWithConfig:config];
    
    /*
     The license content is obtained by your server calling our openapi.
     In order to demonstrate this SDK, we directly put the content of the license into the file,
     in fact, you should call your server api to get the license content.
     Note that the "setLicenseAndCheck:" method MUST BE CALLED before calling "startWithRootVC:".
     */
    NSString *path = [[NSBundle mainBundle] pathForResource:@"SDK-DEMO-LICENSE.txt" ofType:nil];
    NSString *data = [NSString stringWithContentsOfFile:path encoding:NSUTF8StringEncoding error:nil];
    data = [data stringByTrimmingCharactersInSet:[NSCharacterSet whitespaceAndNewlineCharacterSet]];
    NSString *result = [AAIGlobalIQASDK setLicenseAndCheck:data];
    if ([result isEqualToString:@"SUCCESS"]) {
        // 3. Show SDK page
        [AAIGlobalIQASDK startWithRootVC:self];
    } else {
        _tv.text = result;
        if ([result isEqualToString:@"LICENSE_EXPIRE"]) {
            NSLog(@"LICENSE_EXPIRE: please call your server's api to generate a new license");
        } else if ([result isEqualToString:@"APPLICATION_ID_NOT_MATCH"]) {
            NSLog(@"APPLICATION_ID_NOT_MATCH: please bind your app's bundle identifier on our cms website, then recall your server's api to generate a new license");
        } else {
            NSLog(@"%@", result);
        }
    }
}

# pragma mark AAIIQATipViewDataSource

// Required methods for protocol <AAIIQATipViewDataSource>.
- (UIView<AAIIQADetectionDelegate> *)iqaCreateTipView:(BOOL)isPortratOrientation
{
    // Here we take only custom tipView in protrait mode as an example
    if (isPortratOrientation) {
        return [[AAICustomPorTipView3 alloc] init];
    } else {
        // Use default tip view in landscape mode
        return nil;
    }
}

# pragma mark AAIGlobalIQADelegate

- (void)iqaOnDetectionComplete:(AAIGlobalIQAResult *)result
{
    [self processIQAResult:result];
}
@end

