//
//  ViewController.m
//  AAIGlobalIQASDKDemo
//
//  Created by advance on 2021/7/21.
//

#import "ViewController.h"

#import "AAIDefaultUsageDemoViewController.h"
#import "AAICustomUIDemo1ViewController.h"
#import "AAICustomUIDemo2ViewController.h"
#import "AAICustomUIDemo3ViewController.h"

@import AAIGlobalIQASDK;

@interface ViewController ()<UITableViewDataSource, UITableViewDelegate>
{
    NSArray *_titleList;
}
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.title = @"SDK Demo";
    
    _titleList = @[@"Default UI Test", @"Custom UI 1 Test", @"Custom UI 2 Test", @"Custom UI 3 Test"];
    UIView *sv = self.view;
    
    UITableView *tbView = [[UITableView alloc] initWithFrame:CGRectZero style:UITableViewStylePlain];
    [tbView registerClass:[UITableViewCell class] forCellReuseIdentifier:@"a"];
    tbView.dataSource = self;
    tbView.delegate = self;
    [sv addSubview:tbView];
    tbView.translatesAutoresizingMaskIntoConstraints = NO;
    
    NSArray *constr = @[
        [AAIIQACommUtil topContraintOf:tbView toSV:sv constant:0],
        [AAIIQACommUtil leftContraintOf:tbView toSV:sv constant:0],
        [AAIIQACommUtil rightContraintOf:tbView toSV:sv constant:0],
        [AAIIQACommUtil bottomContraintOf:tbView toSV:sv constant:0],
    ];
    [NSLayoutConstraint activateConstraints:constr];
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return _titleList.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"a"];
    cell.textLabel.text = _titleList[indexPath.row];
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSInteger row = indexPath.row;
    switch (row) {
        case 0: {
            UIViewController *vc = [[AAIDefaultUsageDemoViewController alloc] init];
            vc.title = _titleList[row];
            [self.navigationController pushViewController:vc animated:YES];
            break;
        }
        case 1: {
            UIViewController *vc = [[AAICustomUIDemo1ViewController alloc] init];
            vc.title = _titleList[row];
            [self.navigationController pushViewController:vc animated:YES];
            break;
        }
        case 2: {
            UIViewController *vc = [[AAICustomUIDemo2ViewController alloc] init];
            vc.title = _titleList[row];
            [self.navigationController pushViewController:vc animated:YES];
            break;
        }
        case 3: {
            UIViewController *vc = [[AAICustomUIDemo3ViewController alloc] init];
            vc.title = _titleList[row];
            [self.navigationController pushViewController:vc animated:YES];
            break;
        }
        default:
            break;
    }
}

@end
